# Função principal do jornal para chamadas.
function jornal(){
     clear
     if [[ "$som" = "1" ]]; then
         ogg123 -r "musicas/ambiente-jornal.ogg"  >/dev/null 2>&1 &  
     fi    
     lista=("Retornar" "TERROR! 26 de junho de 1968")
     while true; do
          i="0"
          echo -e "${azul}Jornais de${desliga}${vermelho} Ammyland${desliga}"
          for escolha in "${lista[@]}"; do
              echo " (${i}) ${escolha}"
              ((i++)) # Incremento
          done
          read -p $'\nSelecione o número para leitura: ' selecionar
          case "$selecionar" in
              0) die; principal ;;
              1) 26_de_junho_1968 ;;
              *) 
                echo -e "\t\E[31;1mOpção Inválida!\033[m" 
                sleep 1s; clear
              ;;
         esac
     done
}

#======JORNAIS============#

# Jornal 26 de junho de 1968
function 26_de_junho_1968(){
     if ! grep -oqw "caso_skyller" "$usuario_save"; then
         caso_skyller="0" # 0 bloqueado / 1 desbloqueado
     else
         caso_skyller="1" # 0 bloqueado / 1 desbloqueado    
     fi    
     local jornal1="historias/26-de-junho-de-1968.txt"
     clear
     echo -e "\nJornal The Times de Ammyland, 26 de junho de 1968..." | pv -qL "10"; sleep 0.3s
     # Obtendo jornal
     cat "$jornal1"
     read -p $'\n<ENTER> Para Prosseguir '
     
     if [[ "$caso_skyller" = "0" ]]; then
          echo -e "caso_skyller=\"1\"\nchave_de_acesso_o_caso_skyller=\"36621\"" >> "$usuario_save"
          chave_de_acesso_o_caso_skyller="36621"  # Iniciando váriavel para acesso ao caso
          caso_skyller="1"                        # Iniciando váriavel para ter acesso e-mail
          echo -e "\E[34;1mParabêns, O Caso Skyller foi liberado em seu inventário.\nPara dar inicio vá até o seu escritório, verifique o seu email,\ne veja qual chave dá acesso ao Caso Skyller!\E[m"
          read -p $'\n<ENTER> Para Prosseguir '
          jornal
     fi
}


